<?php
declare(strict_types=1);

namespace addianto\LionGame\Backend\Config;

use Google\Client;
use Google_Service_Sheets as GoogleSheetsAPI;

class Config
{
    private function __construct()
    {
        // Do nothing
    }

    public static function createGoogleAPIClient(string $appName, string $appCredentials): Client
    {
        $client = new Client();

        $client->setApplicationName($appName);
        $client->setAuthConfig($appCredentials);
        $client->setScopes(GoogleSheetsAPI::SPREADSHEETS);
        $client->setPrompt("none");

        return $client;
    }

    public static function createGoogleSheetsAPI(Client $client): GoogleSheetsAPI
    {
        return new GoogleSheetsAPI($client);
    }
}
