<?php declare(strict_types=1);

namespace addianto\LionGame\Backend;

use Dotenv\Dotenv;
use addianto\LionGame\Backend\App;
use addianto\LionGame\Backend\Config\Config;
use addianto\LionGame\Backend\Service\SheetsService;

require __DIR__ . '/../vendor/autoload.php';

$dotenv = Dotenv::createImmutable(__DIR__);
$dotenv->load();
$dotenv->required("API_KEY");
$dotenv->required("DEBUG");
$dotenv->required("GOOGLE_APPLICATION_CREDENTIALS");
$dotenv->required("SPREADSHEET_ID");

// Wiring up the dependencies
$sheetsService = SheetsService::getInstance(
    Config::createGoogleSheetsAPI(
        Config::createGoogleAPIClient(
            "Lion Game - Backend",
            $_ENV["GOOGLE_APPLICATION_CREDENTIALS"]
        )
    ),
    $_ENV["SPREADSHEET_ID"]
);

// Run the app
$app = (new App(
    $_ENV["API_KEY"],
    $sheetsService,
    $_ENV["DEBUG"] === 'true'
))->get();
$app->run();
